Đến nội dung


Hình ảnh

Cách Chuyển Cao Độ Dạng Text (Chữ Số)


  • Please log in to reply
8 replies to this topic

#1 glorious_9x

glorious_9x

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 January 2016 - 05:15 PM

Em có file cad có các cao độ dạng text (chữ số) các bác hướng dẫn giúp em cách chuyển sang thành cao độ để vẽ bình đồ, lưới tam giác được không ạ. Em xin chân thành cảm ơn.         http://www.cadviet.c...bd_ke_ho_1a.dwg


  • 0

#2 ryback

ryback

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 12 January 2016 - 07:42 PM

http://www.cadviet.c..._new_folder.rar

bạn load cả 2 file lên, gõ lệnh cp3d rồi chọn tất cả các text, sẽ tạo được các điểm có cao độ bằng với giá trị của text, điểm chèn trùng với text luôn. Đối tượng là Point chắc là dựng được mô hình :D


  • 0

#3 glorious_9x

glorious_9x

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 January 2016 - 07:56 AM

http://www.cadviet.c..._new_folder.rar

bạn load cả 2 file lên, gõ lệnh cp3d rồi chọn tất cả các text, sẽ tạo được các điểm có cao độ bằng với giá trị của text, điểm chèn trùng với text luôn. Đối tượng là Point chắc là dựng được mô hình :D

Cảm ơn bác. em làm được rồi nhưng tại sao khi em dùng ADS để mô hình thì không mở được file ạ.


  • 0

#4 ryback

ryback

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 13 January 2016 - 09:23 AM

Cảm ơn bác. em làm được rồi nhưng tại sao khi em dùng ADS để mô hình thì không mở được file ạ.

file nào hả bạn ???


  • 0

#5 glorious_9x

glorious_9x

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 January 2016 - 11:22 AM

file nào hả bạn ???

Không mở được file khi đã chuyển text thành cao độ ý bác. Em làm lại thì đã mở được nhưng không thể mô hình địa hình được ạ. Bác giúp em với!!!!

Ví dụ file này http://www.cadviet.c...inh_do_ho_2.dwg của em không vẽ được lưới tám giác và đường đồng mức ạ.


  • 0

#6 ryback

ryback

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 13 January 2016 - 11:44 AM

Không mở được file khi đã chuyển text thành cao độ ý bác. Em làm lại thì đã mở được nhưng không thể mô hình địa hình được ạ. Bác giúp em với!!!!

Ví dụ file này http://www.cadviet.c...inh_do_ho_2.dwg của em không vẽ được lưới tám giác và đường đồng mức ạ.

http://www.cadviet.c...te_3d_point.rar

mình mở bản vẽ lên thấy các point mất xừ cái dấu phẩy ở cao độ, thành ra cao độ bị tăng lên 100 lần :D, bạn tải cái này thử lại xem. Bạn lưu ý là dùng các Point tạo ra để dựng mô hình nhé, đừng lấy text, không có cao độ đâu :D


  • 0

#7 glorious_9x

glorious_9x

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 January 2016 - 12:33 PM

http://www.cadviet.c...te_3d_point.rar

mình mở bản vẽ lên thấy các point mất xừ cái dấu phẩy ở cao độ, thành ra cao độ bị tăng lên 100 lần :D, bạn tải cái này thử lại xem. Bạn lưu ý là dùng các Point tạo ra để dựng mô hình nhé, đừng lấy text, không có cao độ đâu :D

Cảm ơn bác nhiều nhé. Em làm được rồi. <3


  • 0

#8 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 13 January 2016 - 02:29 PM

Không mở được file khi đã chuyển text thành cao độ ý bác. Em làm lại thì đã mở được nhưng không thể mô hình địa hình được ạ. Bác giúp em với!!!!

Ví dụ file này http://www.cadviet.c...inh_do_ho_2.dwg của em không vẽ được lưới tám giác và đường đồng mức ạ.

Hề hề hề,

Bạn cho hỏi rằng cái text cao độ của bạn thể hiện cao độ theo đơn vị là m hay là mm?

Nếu là mm thì bạn có thể dùng lisp sau đây để chèn một point vào điểm đặt của text với cao độ là giá trị của text và trả về một list các point này. Từ đó bạn muốn làm chi với nó thì tùy nhé.

http://www.cadviet.c...94_chendiem.lsp

(defun c:gpad  ( / sslt pls cd pd p )
(vl-load-com)
(setq sslt (acet-ss-to-list (ssget (list (cons 0 "text") (cons 8 "docaoct")))))
(setq pls (list))
(foreach tp sslt
       (setq cd (atof (cdr (assoc 1 (entget tp))))
                 pd (cdr (assoc 10 (entget tp)))
                 p (list (car pd) (cadr pd) cd)  )
      (command "point" p )
      (setq pls (append pls (list p)))
)
)

  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#9 glorious_9x

glorious_9x

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 January 2016 - 09:56 AM

 

Hề hề hề,

Bạn cho hỏi rằng cái text cao độ của bạn thể hiện cao độ theo đơn vị là m hay là mm?

Nếu là mm thì bạn có thể dùng lisp sau đây để chèn một point vào điểm đặt của text với cao độ là giá trị của text và trả về một list các point này. Từ đó bạn muốn làm chi với nó thì tùy nhé.

http://www.cadviet.c...94_chendiem.lsp

(defun c:gpad  ( / sslt pls cd pd p )
(vl-load-com)
(setq sslt (acet-ss-to-list (ssget (list (cons 0 "text") (cons 8 "docaoct")))))
(setq pls (list))
(foreach tp sslt
       (setq cd (atof (cdr (assoc 1 (entget tp))))
                 pd (cdr (assoc 10 (entget tp)))
                 p (list (car pd) (cadr pd) cd)  )
      (command "point" p )
      (setq pls (append pls (list p)))
)
)

Vâng, em làm được rồi. cảm ơn bác nhé!!


  • 0